#!/usr/bin/env ruby
require "nokogiri"

#On lit le listing pour trouver le nom du fichier setup
begin
	nom_setup = /param (.*?) --/.match(`cat listing | grep param`.split("\n").first)[1]
rescue
	nom_setup = /param (.*)/.match(`cat listing | grep param`.split("\n").first)[1]
end
setup = Nokogiri::XML(open(nom_setup))

# Nom des maillages
print "Maillages: "
setup.xpath("//solution_domain//mesh").each do |m|
	print m.values.first
	print " "
end
print "\n"


#Type de calcul, quitter si c'est juste du preprocessing
setup.xpath("//calculation_management//run_type")
case setup.xpath("//calculation_management//run_type").first.content
	when "standard"
		puts "Calculation standard"
	else
		puts setup.xpath("//calculation_management//run_type").first.content
		exit
end

# Turbulence
print "Turbulence: "
print setup.xpath("//turbulence").first.values.first, "\n"

# Condition aux limites
setup.xpath("//boundary").each do |b|
	print b.values[0]
	#print b.values[1]
	print ": "
	print b.values[2]
	print " - "
	print b.content
	print "\n"
end

# Paramétre de calcul
print "Algorithme: "
print setup.xpath("//numerical_parameters//velocity_pressure_algo").first.values.first
print "\n"


# Grandeur Physique 
# Grandeur Numérique

#Turbomachinery
setup.xpath("//turbomachinery").each do |t|
	print "Modele: "
	print t.values.first
	print "\n"
	print "Rotor: "
	print setup.xpath("//turbomachinery//rotor//criteria").first.content
	print "\n", "Face Joining: "
	print setup.xpath("//turbomachinery//face_joining//selector").first.content
	print "\n", "axe: "
	rotation= setup.xpath("//turbomachinery//rotor//rotation").first.children
	print "( ", rotation[1].content
	print ",", rotation[3].content
	print ",", rotation[5].content, " )","\n"
	print "velocity: "
	print setup.xpath("//turbomachinery//rotor//velocity//value").first.content
	print "\n"
end





#Probes
puts "Localisation des points de mesures"
setup.xpath("//probe").each do |p|
	print " ("
	print p.children[1].content
	print ","
	print p.children[3].content
	print ","
	print p.children[5].content
	print ")"
end
print "\n"


#Commentaire utilisateur
puts "Commentaire:", `cat README` unless `ls * | grep README` == ""
